<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Resources\DefaultResource;
use App\Http\Controllers\MainApiController;
use App\Models\Feedback;
use App\Http\Resources\Admin\AdminFeedbackResource;

class FeedbackController extends MainApiController
{
    public function index(Request $request)
    {
        $feedbacks = Feedback::when(request()->filled('search'), function ($q) {
            $q->where(function ($q) {
                $q->where('name', 'like', '%' . request("search") . '%')
                    ->orWhere('message', 'like', '%' . request("search") . '%')
                    ->orWhere('subject', 'like', '%' . request("search") . '%');
            });
        })
            ->when(request()->filled('from'), function ($q) {
                $q->whereDate('created_at', '>=', request('from'));
            })
            ->when(request()->filled('to'), function ($q) {
                $q->whereDate('created_at', '<=', request('to'));
            })
            ->with('user')
            ->orderBy('id', 'desc')
            ->paginate($this->pagination);

        return $this->response->success(
            AdminFeedbackResource::collection($feedbacks)
        );
    }


    public function show(Request $request, Feedback $feedback)
    {
        $feedback = $feedback->load('user');
        return $this->response->success(
            new AdminFeedbackResource($feedback)
        );
    }
}
