<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Services\AdminService;
use App\Http\Resources\DefaultResource;
use App\Http\Controllers\MainApiController;
use App\Http\Requests\Admin\PushNotificationRequest;
use App\Http\Resources\Admin\PushNotificationResource;
use App\Models\PushNotification;
use App\Models\User;

class PushNotificationController extends MainApiController
{
    private $adminService;

    public function __construct(AdminService $adminService)
    {
        parent::__construct();
        $this->adminService = $adminService;
    }


    public function send(PushNotificationRequest $request)
    {
        // Send Push notification Here

        // $users = User::all();
        // foreach($users as $user) {
        //     $user->notify(new SendPushNotification($request->message));
        // }

        $notification = $this->adminService->createPushNotification($request);

        return $this->response->success(
            new DefaultResource(['notification' => $notification])
        );
    }

    public function index(Request $request)
    {
        $notifications = $this->adminService->getPushNotifications($this->pagination);

        return $this->response->success(
            PushNotificationResource::collection($notifications)
        );
    }

    public function show(Request $request, PushNotification $push_notification)
    {
        return $this->response->success(
            new PushNotificationResource($push_notification)
        );
    }
}
