<?php

namespace App\Http\Controllers\Admin;

use Illuminate\Http\Request;
use App\Http\Resources\DefaultResource;
use App\Http\Controllers\MainApiController;
use App\Http\Resources\Admin\UserListingResource;
use App\Models\User;
use App\Services\Admin\AdminUserService;
use App\Http\Resources\Admin\UserProfileResource;
use App\Http\Requests\Admin\UserTypeRequest;

class UserController extends MainApiController
{

    protected $adminUserServices;
    public function __construct(AdminUserService $adminUserServices)
    {
        parent::__construct();
        $this->adminUserServices = $adminUserServices;
    }

    public function index(Request $request)
    {
        $users = $this->adminUserServices->getAllUsers($this->pagination);
        return $this->response->success(
            UserProfileResource::collection($users)
        );
    }

    public function show(User $user)
    {
        $user = $this->adminUserServices->show($user);
        return $this->response->success(
            new UserProfileResource($user[0])
        );
    }

    public function status(User $user)
    {
        $user = $this->adminUserServices->switchStatus($user);
        return $this->response->success(
            new DefaultResource(['user' => $user])
        );
    }
}
