<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\MainApiController;
// use App\Http\Requests\Vendor\SpecialRequest;
use App\Http\Resources\CityResource;
use App\Models\City;
use App\Services\CityService;
use Illuminate\Http\Request;
use App\Http\Requests\CityRequest;


class CityController extends MainApiController
{
    protected $cityService;

    public function __construct(CityService $cityService)
    {
        parent::__construct();
        $this->cityService = $cityService;
    }

    public function index(CityRequest $request)
    {
        $cities = $this->cityService->getAll();

        return $this->response->success(
            CityResource::collection($cities)
        );
    }
}
