<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\MainApiController;
// use App\Http\Requests\Vendor\SpecialRequest;
use App\Http\Resources\CountryResource;
use App\Models\Country;
use App\Services\CountryService;
use Illuminate\Http\Request;

class CountryController extends MainApiController
{
    protected $countryService;

    public function __construct(CountryService $countryService)
    {
        parent::__construct();
        $this->countryService = $countryService;
    }

    public function index(Request $request)
    {
        $countries = $this->countryService->getAll();

        return $this->response->success(
            CountryResource::collection($countries)
        );
    }
}
