<?php

namespace App\Http\Controllers\Api;

use Illuminate\Http\Request;
use App\Http\Resources\DefaultResource;
use App\Http\Controllers\MainApiController;
use App\Models\Feedback;

class FeedbackController extends MainApiController
{
    public function store(Request $request)
    {
        $feedback = Feedback::create([
            'user_id' => auth()->user()->id,
            'name' => $request->name,
            'email' => $request->email,
            'subject' => $request->subject,
            'message' => $request->message
        ]);


        return $this->response->success(
            new DefaultResource($feedback)
        );
    }


    public function show(Request $request, Feedback $feedback)
    {
        $feedback = $feedback->load('user');
        return $this->response->success(
            new DefaultResource(['feedback' => $feedback])
        );
    }
}
