<?php

namespace App\Http\Controllers\Api;

use App\Http\Controllers\MainApiController;
// use App\Http\Requests\Vendor\SpecialRequest;
use App\Http\Resources\StateResource;
use App\Models\State;
use App\Services\StateService;
use Illuminate\Http\Request;
use App\Http\Requests\StateRequest;


class StateController extends MainApiController
{
    protected $stateService;

    public function __construct(StateService $stateService)
    {
        parent::__construct();
        $this->stateService = $stateService;
    }

    public function index(StateRequest $request)
    {
        $states = $this->stateService->getAll();

        return $this->response->success(
            StateResource::collection($states)
        );
    }
}
