<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Request;
use App\Models\User;
use Illuminate\Http\Resources\Json\JsonResource;

class ProfileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            'first_name' => $this->first_name,
            "last_name" => $this->last_name,
            "discount" => $this->discount,
            "type" => $this->type,
            "email" => $this->email,
            "phone" => $this->phone,
            "dialing_code" => $this->dialing_code,
            "country_code" => $this->country_code,
            "status" => $this->status,
            // "photo" => asset(User::IMAGES_DIRECTORY . $this->photo)
            "photo" => $this->photo,
            "full_photo_url" => $this->photo ? asset(User::IMAGES_DIRECTORY . $this->photo) : asset(User::IMAGES_DIRECTORY . 'default.png')
        ];
    }
}
