<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Models\User;
use Carbon\Carbon;

class UserProfileResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            "first_name" => $this->first_name,
            "last_name" => $this->last_name,
            "email" => $this->email,
            'dialing_code' => $this->dialing_code,
            'phone' => $this->phone,
            'country_code' => $this->country_code,
            'status' => ($this->status == 0) ? 'In-Active' : 'Active',
            // "photo" => asset(User::IMAGES_DIRECTORY . $this->photo),
            "photo" => $this->photo,
            "full_photo_url" => $this->photo ? asset(User::IMAGES_DIRECTORY . $this->photo) : asset(User::IMAGES_DIRECTORY . 'default.png'),
            "created_at" => Carbon::parse($this->created_at)->format('m-d-Y')
        ];
    }
}
