<?php

namespace App\Http\Resources\Admin;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\StoreResource;

class VendorSpecialResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            "first_name" => $this->first_name,
            "last_name" => $this->last_name,
            "email" => $this->email,
            "dialing_code" => $this->dialing_code,
            "phone" => $this->phone,
            "stores" => $this->whenLoaded('stores', function () {
                return StoreResource::collection($this->stores);
            }),
        ];
    }
}
