<?php

namespace App\Http\Resources\Api;

use App\Http\Resources\StoreResource;
use App\Models\User;
use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            'first_name' => $this->first_name,
            "last_name" => $this->last_name,
            "type" => $this->type,
            "email" => $this->email,
            "phone" => $this->phone,
            "dialing_code" => $this->dialing_code,
            "country_code" => $this->country_code,
            "device_id" => $this->device_id,
            "device_token" => $this->device_token,
            "status" => $this->status,
            'stores' => $this->whenLoaded('stores', function () {
                return StoreResource::collection($this->stores);
            }),
            "photo" => asset(User::IMAGES_DIRECTORY . $this->photo)
        ];
    }
}
