<?php

namespace App\Http\Resources;

use Illuminate\Http\Request;
use Illuminate\Http\Resources\Json\JsonResource;
use App\Http\Resources\CountryResource;
use App\Http\Resources\StateResource;
use App\Http\Resources\CityResource;

class OrderAddressesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @return array<string, mixed>
     */
    public function toArray(Request $request): array
    {
        return [
            "id" => $this->id,
            'order_id' => $this->order_id,
            'type' => $this->type,
            "first_name" => $this->first_name,
            "last_name" => $this->last_name,
            "address" => $this->address,
            'address_line' => $this->address_line,
            'phone' => $this->phone,
            'dialing_code' => $this->dialing_code,
            'country_code' => $this->country_code,
            'additional_notes' => $this->additional_notes,
            'country_id' => $this->country_id,
            'country' => $this->whenLoaded('country', function () {
                $country =  new CountryResource($this->country);
                return $country->name;
            }),
            'state_id' => $this->state_id,
            'state' => $this->whenLoaded('state', function () {
                $state = new StateResource($this->state);
                return $state->name;
            }),
            'city_id' => $this->city_id,
            'city' => $this->whenLoaded('city', function () {
                $city =  new CityResource($this->city);
                return $city->name;
            }),
            'zip_code' => $this->zip_code,
        ];
    }
}
