<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasTable('states')) {
            Schema::create('states', function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->foreignId('country_id')->references('id')->on('countries')->cascadeOnDelete();
                $table->string('country_code');
                $table->string('fips_code')->nullable();
                $table->string('iso2')->nullable();
                $table->string('type')->nullable();
                $table->string('latitude')->nullable();
                $table->string('longitude')->nullable();
                $table->tinyInteger('flag')->default(1);
                $table->string('wikiDatald')->nullable();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('states');
    }
};
