<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        if (!Schema::hasTable('cities')) {
            Schema::create('cities', function (Blueprint $table) {
                $table->id();
                $table->string('name');
                $table->foreignId('state_id')->references('id')->on('states')->cascadeOnDelete();
                $table->string('state_code');
                $table->foreignId('country_id')->references('id')->on('countries')->cascadeOnDelete();
                $table->string('country_code');
                $table->string('latitude');
                $table->string('longitude');
                $table->tinyInteger('flag')->default(1);
                $table->string('wikiDatald')->nullable();
                $table->timestamps();
            });
        }
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('cities');
    }
};
