<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Str;

class NotificationsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        for ($i = 0; $i < 50; $i++) {
            DB::table('notifications')->insert([
                'id' => Str::uuid()->toString(),
                'type' => fake()->randomElement(['App\Notifications\OrderShipped', 'App\Notifications\NewMessage', 'App\Notifications\FriendRequest']),
                'notifiable_type' => fake()->randomElement(['App\Models\User', 'App\Models\Admin']),
                'notifiable_id' => 1,
                'data' => json_encode([
                    'title' => fake()->sentence(),
                    'message' => fake()->sentence(),
                ]),
                'read_at' => fake()->optional()->dateTime(),
                'created_at' => now(),
                'updated_at' => now(),
            ]);
        }
    }
}
