<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Order;

class OrdersTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $orders = [
            [
                'user_id' => 1,
                'type' => 'merchandise',
                'order_id' => "881873",
                'delivery_charges' => 5,
                'tax' => 1.5,
                'sub_total' => 20,
                'total' => 26.5,
                'is_promo_applied' => false,
                'first_name' => 'John',
                'last_name' => 'Doe',
                'email' => 'johndoe@example.com',
                'phone' => '345563345',
                'dialing_code' => '+1',
                'country_code' => 'US',
                'status' => 'pending',
                'payment_status' => 'paid',
            ],

            [
                'user_id' => 3,
                'type' => 'merchandise',
                'order_id' => "546456",
                'delivery_charges' => 5,
                'tax' => 1.5,
                'sub_total' => 20,
                'total' => 26.5,
                'is_promo_applied' => false,
                'first_name' => 'Kim',
                'last_name' => 'Panda',
                'email' => 'kimpanda@example.com',
                'phone' => '345563345',
                'dialing_code' => '+1',
                'country_code' => 'US',
                'status' => 'in-progress',
                'payment_status' => 'paid',
            ],

            [
                'user_id' => 2,
                'type' => 'product',
                'order_id' => "908464",
                'delivery_charges' => 5,
                'tax' => 1.5,
                'sub_total' => 20,
                'total' => 26.5,
                'is_promo_applied' => false,
                'first_name' => 'Vendor',
                'last_name' => 'Smith',
                'email' => 'vendorsmith@example.com',
                'phone' => '345563345',
                'dialing_code' => '+1',
                'country_code' => 'US',
                'status' => 'pending',
                'payment_status' => 'pending',
            ],
        ];

        Order::insert($orders);
    }
}
