<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Product;

class ProductsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $products = [
            [
                'type' => 'merchandise',
                'category' => 'Smartphones',
                'title' => 'iPhone 12',
                'price' => '999.99',
                'discount' => '10',
                'description' => 'Latest iPhone model',
                'quantity' => 50,
                'status' => true,
            ],

            [
                'type' => 'cocktail',
                'title' => 'Classic White T-Shirt',
                'price' => '19.99',
                'discount' => '5',
                'description' => 'Comfortable and stylish white t-shirt',
                'quantity' => 100,
                'status' => true,
            ],


            [
                'type' => 'merchandise',
                'category' => 'Laptops',
                'title' => 'Dell XPS 13',
                'price' => '1299.99',
                'discount' => '15',
                'description' => 'Powerful and compact laptop',
                'quantity' => 30,
                'status' => true,
            ],

            [
                'type' => 'cocktail',
                'title' => 'Lemon Splash',
                'price' => '23.15',
                'discount' => '2',
                'description' => 'Mind blowing drink',
                'quantity' => 54,
                'status' => true,
            ],
        ];

        Product::insert($products);
    }
}
