<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\PromoCode;

class PromoCodesTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        $promoCodes = [
            [
                'name' => 'Promo Code 1',
                'code' => 'CODE1',
                'discount_percentage' => '10',
                'minimum_spend' => '50',
                'minimum_discount_cap' => '5',
                'start_date' => '2022-01-01',
                'end_date' => '2022-01-31',
                'status' => true,
            ],

            [
                'name' => 'Promo Code 2',
                'code' => 'CODE2',
                'discount_percentage' => '15',
                'minimum_spend' => '75',
                'minimum_discount_cap' => '10',
                'start_date' => '2022-02-01',
                'end_date' => '2022-02-28',
                'status' => true,
            ],


            [
                'name' => 'Promo Code 3',
                'code' => 'CODE3',
                'discount_percentage' => '20',
                'minimum_spend' => '100',
                'minimum_discount_cap' => '15',
                'start_date' => '2022-03-01',
                'end_date' => '2022-03-31',
                'status' => true,
            ],


            [
                'name' => 'Promo Code 4',
                'code' => 'CODE4',
                'discount_percentage' => '25',
                'minimum_spend' => '125',
                'minimum_discount_cap' => '20',
                'start_date' => '2022-04-01',
                'end_date' => '2022-04-30',
                'status' => true,
            ],
        ];

        PromoCode::insert($promoCodes);
    }
}
